DetailedTiming Struct Reference

`#include <edid.h>`

## Data Fields

int | pixel_clock
int | h_addr
int | h_blank
int | h_sync
int | h_front_porch
int | v_addr
int | v_blank
int | v_sync
int | v_front_porch
int | width_mm
int | height_mm
int | right_border
int | top_border
int | interlaced
StereoType | stereo
int | digital_sync
union {
struct {
int bipolar
int serrations
int sync_on_green
} analog
struct {
int composite
int serrations
int negative_vsync
int negative_hsync
} digital
} | ad

## Detailed Description

Definition at line 42 of file edid.h.

## Field Documentation

## ad

union { ... } DetailedTiming::ad

Referenced by decode_detailed_timing(), and dump_monitor_info().

## analog

struct { ... } DetailedTiming::analog

Referenced by decode_detailed_timing(), and dump_monitor_info().

## bipolar

int DetailedTiming::bipolar

Definition at line 65 of file edid.h.

## composite

int DetailedTiming::composite

Definition at line 72 of file edid.h.

## digital

struct { ... } DetailedTiming::digital

Referenced by decode_detailed_timing(), and dump_monitor_info().

## digital_sync

int DetailedTiming::digital_sync

Definition at line 60 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## h_addr

int DetailedTiming::h_addr

Definition at line 45 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## h_blank

int DetailedTiming::h_blank

Definition at line 46 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## h_front_porch

int DetailedTiming::h_front_porch

Definition at line 48 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## h_sync

int DetailedTiming::h_sync

Definition at line 47 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## height_mm

int DetailedTiming::height_mm

Definition at line 54 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## interlaced

int DetailedTiming::interlaced

Definition at line 57 of file edid.h.

Referenced by decode_detailed_timing().

## negative_hsync

int DetailedTiming::negative_hsync

Definition at line 75 of file edid.h.

## negative_vsync

int DetailedTiming::negative_vsync

Definition at line 74 of file edid.h.

## pixel_clock

int DetailedTiming::pixel_clock

Definition at line 44 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## right_border

int DetailedTiming::right_border

Definition at line 55 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## serrations

int DetailedTiming::serrations

Definition at line 66 of file edid.h.

## stereo

StereoType DetailedTiming::stereo

Definition at line 58 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## sync_on_green

int DetailedTiming::sync_on_green

Definition at line 67 of file edid.h.

## top_border

int DetailedTiming::top_border

Definition at line 56 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## v_addr

int DetailedTiming::v_addr

Definition at line 49 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## v_blank

int DetailedTiming::v_blank

Definition at line 50 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## v_front_porch

int DetailedTiming::v_front_porch

Definition at line 52 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## v_sync

int DetailedTiming::v_sync

Definition at line 51 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

## width_mm

int DetailedTiming::width_mm

Definition at line 53 of file edid.h.

Referenced by decode_detailed_timing(), and dump_monitor_info().

The documentation for this struct was generated from the following file:

- src/video/x11/edid.h